Bug 9612 - Installer insufficiently robust.
Summary: Installer insufficiently robust.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-20 21:29 UTC by lars
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 23:11:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description lars 2000-02-20 21:29:12 UTC
While installing RH6.2beta on a fresh system, I managed to partition the
disks such that mkfs/mount failed.  Rather than returning me to the disk
editing screen and letting me correct the problem, the installer popped up
the familiar python traceback window.

It seems to me that the user should never, ever see a python traceback.  A
non-technical user is simply going to be baffled (and perhaps somewhat
intimidated) by the error, and is unlikely to know how to recover.

One might argue that this is a beta product, so of course the installer
offers information of interest only to developers, but the 6.1 installer
was (well, is) riddled with problems (to the point that it's easier to
install 6.0 and then use rpm --freshen to upgrade) that result in the same
situation.

Comment 1 Michael Fulbright 2000-02-21 15:26:59 UTC
We are constantly working to improve the user experience with the installer -
thank you for your suggestions.


Note You need to log in before you can comment on or make changes to this bug.